printConsole("Loading mode Bombe...")

-- Path
package.path = package.path .. ";" .. GetCommonDataPath() .. "/?.lua"

-- Locales
GetConfigManager():InitLocales("locale")

-- Rc / const
dofile("scripts/values.lua")
dofile("scripts/baseFn.lua")
dofile("scripts/ressourcesLoader.lua")
dofile("scripts/myChangeScreen.lua")

-- Conf
dofile("scripts/userConf.lua")
userCfg.LoadAllConf()

-- Music
dofile("scripts/musicPlayer.lua")
dofile("scripts/soundPlayer.lua")

-- Utils
dofile("scripts/physic.lua")
dofile("scripts/player.lua")
dofile("scripts/bombe.lua")
dofile("scripts/animation.lua")
dofile("scripts/view.lua")
dofile("scripts/levelsProgress.lua")
dofile("scripts/buttons.lua")
dofile("scripts/bombeTrajectoire.lua")
dofile("scripts/sight.lua")
dofile("scripts/infoMsg.lua")
dofile("scripts/animBase.lua")
dofile("scripts/checkpoint.lua")
dofile("scripts/chronoCtrl.lua")
dofile("scripts/keyChoiceCtrl.lua")

dofile("scripts/levelBase.lua")
dofile("scripts/gameScreen.lua")

-- Level menu
--dofile("scripts/levels/levelList.lua")
dofile("scripts/particles.lua")
dofile("scripts/mapBase.lua")
dofile("scripts/levelMenu.lua")

dofile("scripts/inLevelMenu.lua")
dofile("scripts/dialogScreen.lua")

-- Main menu
dofile("scripts/menu.lua")
dofile("scripts/menuOption.lua")
dofile("scripts/menuGraphicOption.lua")
dofile("scripts/menuKeyOption.lua")
dofile("scripts/menuSoundOption.lua")
dofile("scripts/credit.lua")
dofile("scripts/howToPlayScreen.lua")

--[[
local coordModif = Vector2D(-567, -283) + Vector2D(7, 13)

function printAA(a, b)
	print("createWall(levelGrp, Vector2D(" .. tostring(a.x) .. ", " .. tostring(a.y)  .. "), Vector2D("  .. tostring(b.x) .. ", " .. tostring(b.y)  .. "))")
end

	
printAA(Vector2D(552, 281) + coordModif, Vector2D(45, 1215))
printAA(Vector2D(567, 1503) + coordModif, Vector2D(2034, 30))
printAA(Vector2D(567, 283) + coordModif, Vector2D(851, 28))
printAA(Vector2D(766, 426) + coordModif, Vector2D(651, 27))
printAA(Vector2D(1389, 281) + coordModif, Vector2D(28, 198))
printAA(Vector2D(1163, 596) + coordModif, Vector2D(254, 27))
printAA(Vector2D(1389, 567) + coordModif, Vector2D(28, 84))
printAA(Vector2D(594, 596) + coordModif, Vector2D(369, 27))
printAA(Vector2D(594, 936) + coordModif, Vector2D(256, 27))
printAA(Vector2D(823, 766) + coordModif, Vector2D(594, 27))
printAA(Vector2D(993, 738) + coordModif, Vector2D(140, 28))
printAA(Vector2D(993, 709) + coordModif, Vector2D(140, 29))
printAA(Vector2D(993, 793) + coordModif, Vector2D(27, 199))
printAA(Vector2D(964, 936) + coordModif, Vector2D(283, 27))
printAA(Vector2D(1389, 738) + coordModif, Vector2D(28, 650)) 
printAA(Vector2D(766, 1332) + coordModif, Vector2D(991, 27))--
printAA(Vector2D(1248, 1304) + coordModif, Vector2D(141, 28))
printAA(Vector2D(1248, 1078) + coordModif, Vector2D(141, 27))
printAA(Vector2D(1417, 1163) + coordModif, Vector2D(113, 27))
printAA(Vector2D(794, 1304) + coordModif, Vector2D(84, 28))
printAA(Vector2D(766, 1106) + coordModif, Vector2D(254, 27))
printAA(Vector2D(1417, 978) + coordModif, Vector2D(227, 42))
printAA(Vector2D(1616, 1020) + coordModif, Vector2D(28, 169))
printAA(Vector2D(1843, 978) + coordModif, Vector2D(757, 42))
printAA(Vector2D(2580, 1020) + coordModif, Vector2D(20, 511))
printAA(Vector2D(2297, 1163) + coordModif, Vector2D(283, 27))
printAA(Vector2D(2297, 1333) + coordModif, Vector2D(283, 27))
printAA(Vector2D(2382, 1360) + coordModif, Vector2D(27, 28))
printAA(Vector2D(1644, 1163) + coordModif, Vector2D(368, 28))
printAA(Vector2D(1815, 1446) + coordModif, Vector2D(84, 58))
printAA(Vector2D(1899, 1475) + coordModif, Vector2D(397, 29))
printAA(Vector2D(2212, 1446) + coordModif, Vector2D(84, 29))
printAA(Vector2D(594, 1191) + coordModif, Vector2D(86, 27))
printAA(Vector2D(993, 1360) + coordModif, Vector2D(27, 28))]]
	
	

-- Screen
ChangeScreen(mainMenuScreen)
musicSetVolume(userCfg.soundConf.musicVolume)
musicNs.loadPlayListMenu()
