require("guiLib/buttonControl")

creditNs = creditNs or {}

creditNs.marginLeftRight = 25

-- Create screen
creditNs.screen = CreateScreen("creditScreen", ScreenConfig(screenSize))

-- Back to menu
creditNs.screen:RegisterButtonEvent(function() myChangeScreen(mainMenuScreen, true, "slide2"); end, "Escape", true)

function creditNs.makeTextCenter(textObj, yPos)
	local txtSize = textObj:GetTextSize()
	
	textObj:SetPosition(Vector2D((screenSize.x - txtSize.x) / 2, yPos))
	
	return txtSize
end

function creditNs.addTitle(label, yPos)
	yPos = yPos + 10 -- Margin top
	
	local tmp = creditNs.creditGrp:CreateText("titleText", label, 35, Color(255, 255, 255), Vector2D(0, 0))
	tmp:SetMaxWidth(screenSize.x / 2)
	tmp:SetBold(true)
	tmp:SetFont(fontFixedsys)
	tmp:SetUnderligned(true)
	
	local txtSize = creditNs.makeTextCenter(tmp, yPos)
	
	yPos = yPos + txtSize.y + 3 -- Margin bottom
	
	return yPos
end

function creditNs.addSimpleText(label, yPos)
	yPos = yPos -- Margin top
	
	local tmp = creditNs.creditGrp:CreateText("simpleText", label, 25, Color(255, 255, 255), Vector2D(0, 0))
	--tmp:SetFont(fontFixedsys)
	tmp:SetMaxWidth(screenSize.x - creditNs.marginLeftRight * 2)
	
	local txtSize = creditNs.makeTextCenter(tmp, yPos)
	
	yPos = yPos + txtSize.y -- Margin bottom
	
	return yPos
end

function creditNs.addSubTitle(label, yPos)
	yPos = yPos + 2 -- Margin top
	
	--local tmp = howToPlayNs.creditGrp:CreateText("simpleText", label, 30, Color(255, 255, 255), Vector2D(howToPlayNs.marginLeftRight, yPos))
	local tmp = creditNs.creditGrp:CreateText("simpleText", label, 30, Color(255, 255, 255), Vector2D(0, 0))
	tmp:SetFont(fontFixedsys)
	tmp:SetUnderligned(true)
	tmp:SetMaxWidth(screenSize.x - howToPlayNs.marginLeftRight * 2)
	
	local txtSize = howToPlayNs.makeTextCenter(tmp, yPos)
	
	yPos = yPos + txtSize.y -- Margin bottom
	
	return yPos
end

-- info
function creditNs.createCreditInfo()
	-- Load
	creditNs.data = {}
	
	-- Objs
	creditNs.destroyCreditInfo()
	
	creditNs.creditGrp = creditNs.screen:CreateGroup("creditGrp")
	
	local parentGrp  = creditNs.creditGrp
	
	local yPos = 0
	
	-- Back
	local tmp = parentGrp:CreateSprite("back", mainMenuBackTex, Vector2D(0, 0))
	tmp:SetZpos(-1000)
	
	-- Bt
	btSize = texMenuBtNormal:GetSize()
	creditNs.myBtCreate(creditNs.creditGrp, "Retour", screenSize - btSize - Vector2D(20, 20), btSize, function() myChangeScreen(mainMenuScreen, true, "slide2"); end)
	
		-- Authers
	yPos = creditNs.addTitle(_("Authers"), yPos)
	yPos = creditNs.addSimpleText("Colin GILLE", yPos)
	yPos = creditNs.addSimpleText("Matthieu CARRE", yPos)
	yPos = creditNs.addSimpleText("Nicolas DESMARS", yPos)
	
		-- Lib
	yPos = creditNs.addTitle(_("Computer resources"), yPos)
	yPos = creditNs.addSubTitle(_("C++ libraries"), yPos)
	yPos = creditNs.addSimpleText(_("Bottle2D (game engine), SFML, Lua, Luabind, ticpp (TinyXML), SPARK"), yPos)

	yPos = creditNs.addSubTitle(_("Programs"), yPos)
	yPos = creditNs.addSimpleText("Code::Blocks, Geany, notepad++, The GIMP, autotools, gcc, Google SketchUp", yPos)
	
	--yPos = creditNs.addSubTitle("Formats", yPos)
	--yPos = creditNs.addSimpleText("PNG, jpeg, ogg vorbis, texte UTF-8, TrueType", yPos)
		-- Ressources
	yPos = creditNs.addTitle(_("Resources (with free licences)"), yPos)
	yPos = creditNs.addSubTitle(_("Sounds"), yPos)
	yPos = creditNs.addSimpleText(_("Sounds from freesound.org and www.universal-soundbank.com"), yPos)

	yPos = creditNs.addSubTitle(_("Musics (found on Jamendo)"), yPos)
	yPos = creditNs.addSimpleText("PIXEL MY HEART - Digital Memories - LukHash (SH music)\nTurn turn around Ecran titre - Spintronic - The Great Paper Adventure (BO)\nOld memories Niveau 3 - Partie 1 - Spintronic - The Great Paper Adventure (BO)\nNEVER BORN - Digital Memories - LukHash (SH music)\nThe Great Paper Adventure Niveau final - Spintronic - The Great Paper Adventure (BO)\nSupernova Boss final - Spintronic - The Great Paper Adventure (BO)\nLittle blue rabbit Niveau 2 - Partie 1 - Spintronic - The Great Paper Adventure (BO)", yPos)	
	
	yPos = creditNs.addSubTitle(_("Images"), yPos)
	yPos = creditNs.addSimpleText("http://www.flickr.com/photos/eric-delcroix/2725166846/ ; http://grungetextures.com/abstract_g52-grungy_orange_abstract_texture_p25.html\nhttp://www.flickr.com/photos/dietmardownunder/3646110643/ ; http://www.flickr.com/photos/zooboing/5864951381/\nhttp://www.flickr.com/photos/profilerehab/4401364523/ ; http://farm4.static.flickr.com/3228/2725166846_dc539b6306.jpg\nhttp://www.iconfinder.com/", yPos)

	yPos = creditNs.addSubTitle(_("Fonts"), yPos)
	yPos = creditNs.addSimpleText(_("Fixedsys (http://fixedsys.moviecorner.de) under GPL licence"), yPos)
end

function creditNs.destroyCreditInfo()
	if creditNs.creditGrp ~= nil then
		creditNs.creditGrp:Destroy()
		creditNs.creditGrp = nil
	end
	
	creditNs.data = nil
end

function creditNs.myBtCreate(parentGrp, title, pos, btSize, fn)
	local bt = parentGrp:CreateGroup("bt")
	buttonControlCreate(bt, title, btSize)
	buttonSetEventFunction(bt, fn)
	buttonSetFont(bt, 34, Color(255, 255, 255), fontFixedsys)
	buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
	bt:SetPosition(pos)
end
