
function createInfoMsg(grp, text, duration)
	local backGrp = grp:FindByName("infoMsgGrp")
	if backGrp ~= nil then
		return
	end

	-- Apparition du fond	
	msgGrp = grp:CreateGroup("infoMsgGrp", screenSize * -1) -- Out of screen
	msgGrp:SetZpos(1000)
	
	local spr = msgGrp:CreateSprite("back", msgBackTex, Vector2D(0, 0))
	spr:SetZpos(-100)
	spr:SetColor(Color(255, 255, 255, 245))
	
	local tmp = msgGrp:CreateText("text", text, 30, Color(255, 255, 255), Vector2D(22, 19))
	tmp:SetMaxWidth(250)
	tmp:SetText(text)

	-- Duration
	msgGrp:SetUserData("duration", duration)
	
	createMovingBlockAnim(msgGrp, Vector2D(screenSize.x - msgBackTex:GetWidth() - 20, msgBackTex:GetHeight() * -1), Vector2D(screenSize.x - msgBackTex:GetWidth() - 20, 20), 1, false, privateInfoMsgOnMsgReady)
end

function clearInfoMsg(grp)
	local msgGrp = grp:FindByName("infoMsgGrp")
	createMovingBlockAnim(msgGrp, Vector2D(screenSize.x - msgBackTex:GetWidth() - 20, msgBackTex:GetHeight() * -1), Vector2D(screenSize.x - msgBackTex:GetWidth() - 20, 20), 1, true, function(msgGrp) msgGrp:Destroy(); end)
end

------------------------------------------------------------
-- Zone de message
------------------------------------------------------------
--[[function createMessageZone0(parentGrp, position, fnOnTouch, fnOnAction)
	bt:SetUserData("_btFnOnTouch", fnOnTouch)
	bt:SetUserData("_btFnOnAction", fnOnAction)
end]]

------------------------------------------------------------
-- Private
------------------------------------------------------------

function privateInfoMsgOnMsgReady(msgGrp)
	local duration = msgGrp:GetUserData("duration")
	local evt = msgGrp:GetParentScreen():RegisterTimer(privateInfoMsgOnTimer, duration, true)

	guiLib_addAutoDestroyEvent(msgGrp, evt)
	evt:SetUserData("msgGrp", msgGrp)
	
end

function privateInfoMsgOnTimer(evt)
	local msgGrp = evt:GetUserData("msgGrp")
	
	-- Rm event
	guiLib_removeAutoDestroyEvent(msgGrp, evt)
	evt:Destroy()
	
	-- Retour
	createMovingBlockAnim(msgGrp, Vector2D(screenSize.x - msgBackTex:GetWidth() - 20, msgBackTex:GetHeight() * -1), Vector2D(screenSize.x - msgBackTex:GetWidth() - 20, 20), 1, true, function(msgGrp) msgGrp:Destroy(); end)
end
