------------------------------------------------------------
-- Level 02
------------------------------------------------------------

function initCurrentLevelData()
	levelData = {}
	levelData["back"] = loadTexture("levels/level02.png")
	levelData["level2_removable1"] = loadTexture("level2_removable1.png")
	levelData["level2_removable2"] = loadTexture("level2_removable2.png")
	
	-- background sky
	levelData["backgroundSky"] = loadTexture("sky_pixels.png")
end

function createCurrentLevel(levelGrp)
	-- Back
	local tmp = levelGrp:CreateSprite("backImg")
	tmp:SetImage(levelData["back"])
	tmp:SetZpos(-1000)
	
	-- Sky
	setSkyTexture(levelData["backgroundSky"])

	-- Décors de base
	createWall(levelGrp, Vector2D(7, 6 ), Vector2D(28, 337 ))
	createWall(levelGrp, Vector2D(7, 6 ), Vector2D(850, 28 ))
	createWall(levelGrp, Vector2D(7, 315 ), Vector2D(850, 28 ))
	createWall(levelGrp, Vector2D(829, 6 ), Vector2D(28, 337 ))
	
	--Trois bosses
	createWall(levelGrp, Vector2D(192, 273 ), Vector2D(28, 42 ))
	createWall(levelGrp, Vector2D(407, 233 ), Vector2D(28, 82 ))
	createWall(levelGrp, Vector2D(644, 165 ), Vector2D(28, 150 ))

	--Surface amovible et Interrupteur
	local button1 = createTimerButton(levelGrp, Vector2D(510, 240), 5, nil)	
	local area1 = createRemovableArea(levelGrp, Vector2D(579, 207), Vector2D(65, 28), levelData["level2_removable1"], Vector2D(0, 0))
	createRemovableAreaButton({area1}, button1, false)
	
	local button2 = createOnOffButton(levelGrp, Vector2D(325, 240), nil)
	local area2 = createRemovableArea(levelGrp, Vector2D(407, 134), Vector2D(28, 99), levelData["level2_removable2"], Vector2D(0, 0))
	removableAreaEnable(area2, true, false)
	createRemovableAreaButton({area2}, button2, true)
	
	--Messages
	createMessageZone(levelGrp, Vector2D(77, 236), Vector2D(43, 81), _("Level 2 - Introduction to the buttons, timers"))
	createMessageZone(levelGrp, Vector2D(220, 288), Vector2D(68, 27), _("This is an On/Off button that control a platform")) -- Ceci est un bouton On/Off controlant une surface amovible
	createMessageZone(levelGrp, Vector2D(435, 285), Vector2D(45, 40), _("This is a timer controling a platform")) -- Ceci est un minuteur controlant une surface amovible
	
	--Fin de niveau
	createExitZone(levelGrp, Vector2D(679, 185), Vector2D(150, 130)) 
	
	-- Players
	local player1 = initPlayer(1, levelGrp, userCfg.keyConf.player1Keys, Vector2D(46, 314 - playerSize.y))
	playerSetMode(player1, "move")

	local player2 = initPlayer(2, levelGrp, userCfg.keyConf.player2Keys, Vector2D(66, 314 - playerSize.y))
	playerSetMode(player2, "throw")
end
