------------------------------------------------------------
-- Level 04
------------------------------------------------------------

function initCurrentLevelData()
	levelData = {}
	levelData["back"] = loadTexture("levels/level04.png")
	levelData["level4_removable1"] = loadTexture("level4_removable1.png")
	levelData["level4_removable2"] = loadTexture("level4_removable2.png")
	levelData["level4_removable3"] = loadTexture("level4_removable3.png")
	
	-- background sky
	levelData["backgroundSky"] = loadTexture("sky_pixels.png")
end

function createCurrentLevel(levelGrp)
	-- Back
	local tmp = levelGrp:CreateSprite("backImg")
	tmp:SetImage(levelData["back"])
	tmp:SetZpos(-1000)
	
	-- Sky
	setSkyTexture(levelData["backgroundSky"])

	-- Décors de base
	createWall(levelGrp, Vector2D(33, 932 ), Vector2D(1037, 28 ))
	createWall(levelGrp, Vector2D(5, 5 ), Vector2D(28, 955 ))
	createWall(levelGrp, Vector2D(5, 5 ), Vector2D(446, 28 ))
	createWall(levelGrp, Vector2D(423, 5 ), Vector2D(28, 671 ))
	createWall(levelGrp, Vector2D(451, 314 ), Vector2D(647, 28 ))
	createWall(levelGrp, Vector2D(1072, 342 ), Vector2D(28, 618 ))
	createWall(levelGrp, Vector2D(261, 340 ), Vector2D(28, 592 ))
	createWall(levelGrp, Vector2D(135, 312 ), Vector2D(166, 28 ))
	createWall(levelGrp, Vector2D(33, 805 ), Vector2D(174, 28 ))
	createWall(levelGrp, Vector2D(82, 678 ), Vector2D(132, 28 ))
	createWall(levelGrp, Vector2D(33, 551 ), Vector2D(49, 28 ))	
	createWall(levelGrp, Vector2D(136, 551 ), Vector2D(83, 28 ))
	createWall(levelGrp, Vector2D(82, 424 ), Vector2D(132, 28 ))
	createWall(levelGrp, Vector2D(91, 158 ), Vector2D(259, 28 ))
	createWall(levelGrp, Vector2D(289, 455 ), Vector2D(75, 28 ))
	createWall(levelGrp, Vector2D(529, 806 ), Vector2D(117, 28 ))	
	createWall(levelGrp, Vector2D(691, 679 ), Vector2D(117, 28 ))		
	createWall(levelGrp, Vector2D(529, 552 ), Vector2D(117, 28 ))
	createWall(levelGrp, Vector2D(958, 535 ), Vector2D(28, 310 ))
	createWall(levelGrp, Vector2D(958, 342 ), Vector2D(28, 82 ))

	
	--Surfaces perméables perso (4)
	local ph = createWall(levelGrp, Vector2D(33, 678 ), Vector2D(49, 28 ))
	wallEnablePlayerPass(ph, true)
	local ph = createWall(levelGrp, Vector2D(82, 551 ), Vector2D(54, 28 ))
	wallEnablePlayerPass(ph, true)
	local ph = createWall(levelGrp, Vector2D(33, 424 ), Vector2D(49, 28 ))
	wallEnablePlayerPass(ph, true)
	local ph = createWall(levelGrp, Vector2D(261, 186 ), Vector2D(28, 126 ))
	wallEnablePlayerPass(ph, true)
		
	--Surfaces perméables bombe (3)
	local ph = createWall(levelGrp, Vector2D(214, 678 ), Vector2D(42, 28 ))
	wallEnableBombePass(ph, true)
	local ph = createWall(levelGrp, Vector2D(214, 424 ), Vector2D(42, 28 ))
	wallEnableBombePass(ph, true)
	local ph = createWall(levelGrp, Vector2D(991, 618 ), Vector2D(74, 28 ))
	wallEnableBombePass(ph, true)
	
	--Surfaces rebondissantes
	local ph = createWall(levelGrp, Vector2D(256, 340), Vector2D(5, 592))
	wallEnableRebound(ph, true)
	local ph = createWall(levelGrp, Vector2D(135, 416), Vector2D(79, 8))
	wallEnableRebound(ph, true)
	local ph = createWall(levelGrp, Vector2D(135, 340), Vector2D(126, 8))
	wallEnableRebound(ph, true)
	local ph = createWall(levelGrp, Vector2D(33, 60), Vector2D(8, 248))
	wallEnableRebound(ph, true)
	local ph = createWall(levelGrp, Vector2D(91, 150), Vector2D(264, 8))
	wallEnableRebound(ph, true)
	local ph = createWall(levelGrp, Vector2D(415, 61), Vector2D(8, 564))
	wallEnableRebound(ph, true)
	local ph = createWall(levelGrp, Vector2D(350, 158), Vector2D(5, 28))
	wallEnableRebound(ph, true)
	local ph = createWall(levelGrp, Vector2D(958, 424), Vector2D(28, 8))
	wallEnableRebound(ph, true)
	local ph = createWall(levelGrp, Vector2D(958, 526), Vector2D(28, 8))
	wallEnableRebound(ph, true)
	local ph = createWall(levelGrp, Vector2D(986, 342), Vector2D(8, 82))
	wallEnableRebound(ph, true)
	local ph = createWall(levelGrp, Vector2D(986, 535), Vector2D(8, 310))
	wallEnableRebound(ph, true)
	local ph = createWall(levelGrp, Vector2D(1062, 342), Vector2D(8, 590))
	wallEnableRebound(ph, true)
	
	--Timer1 et 1 surface amovible
	local timer1 = createTimerButton(levelGrp, Vector2D(142, 719), 15, nil)
	local area1 = createRemovableArea(levelGrp, Vector2D(219, 551), Vector2D(37, 28), levelData["level4_removable1"], Vector2D(0, 0))
	removableAreaEnable(area1, true, false)
	createRemovableAreaButton({area1}, timer1, true)

	--Timer2 et 1 surface amovible
	local timer2 = createTimerButton(levelGrp, Vector2D(320, 367), 20, nil)
	local area2 = createRemovableArea(levelGrp, Vector2D(289, 848), Vector2D(167, 28), levelData["level4_removable2"], Vector2D(0, 0))
	local area3 = createRemovableArea(levelGrp, Vector2D(355, 158), Vector2D(63, 28), levelData["level4_removable3"], Vector2D(0, 0))
	createRemovableAreaButton({area2, area3}, timer2, false)

	--Timer3 et door
	local timer3 = createTimerButton(levelGrp, Vector2D(541, 445), 15, nil)
	local door = doorCreate(levelGrp, Vector2D(958, 845), Vector2D(28, 87))
	createDoorButton(door, timer3, false)
	
	--Button et 1 surface amovible
	local button = createOnOffButton(levelGrp, Vector2D(1026, 750), nil)
	local area4 = createRemovableArea(levelGrp, Vector2D(828, 552), Vector2D(63, 28), levelData["level4_removable3"], Vector2D(0, 0))
	createRemovableAreaButton({area4}, button, false)

	-- Piques
	createHurtZone(levelGrp, Vector2D(33, 33 ), Vector2D(390, 28 ), true)
	createHurtZone(levelGrp, Vector2D(289, 904 ), Vector2D(165, 28 ))
	createHurtZone(levelGrp, Vector2D(574, 778 ), Vector2D(29, 28 ))
	createHurtZone(levelGrp, Vector2D(736, 651 ), Vector2D(29, 28 ))
	createHurtZone(levelGrp, Vector2D(574, 524 ), Vector2D(29, 28 ))
	
	--Checkpoint Zone
	createCheckpointZone(levelGrp, Vector2D(218, 186), Vector2D(16, 126))
	createCheckpointZone(levelGrp, Vector2D(636, 890), Vector2D(33, 42))	
	createCheckpointZone(levelGrp, Vector2D(1017, 836), Vector2D(12, 12))	
	
	--Messages
	createMessageZoneMitraille(levelGrp, Vector2D(40, 903), Vector2D(47, 29), {_("Level 4 - Introduction to the bouncing surfaces"), _("Purple surfaces make the bombe rebound !")}, 1) -- Les surfaces violettes font rebondir la bombe
	createMessageZone(levelGrp, Vector2D(352, 440), Vector2D(12, 15), _("Beware of the peaks and do not break your legs !")) -- Attention aux piques et de ne pas se fracturer les jambes
	
	--Fin de niveau
	createExitZone(levelGrp, Vector2D(985, 859), Vector2D(84, 73)) 
	
	-- Players
	local player1 = initPlayer(1, levelGrp, userCfg.keyConf.player1Keys, Vector2D(40, 932 - playerSize.y))
	playerSetMode(player1, "move")

	local player2 = initPlayer(2, levelGrp, userCfg.keyConf.player2Keys, Vector2D(85, 932 - playerSize.y))
	playerSetMode(player2, "throw")
end
