------------------------------------------------------------
-- Level 06
------------------------------------------------------------

function initCurrentLevelData()
	levelData = {}
	levelData["back"] = loadTexture("levels/level06.png")
	levelData["removable2"] = loadTexture("removable2.png")
	
	-- background sky
	levelData["backgroundSky"] = loadTexture("sky_pixels.png")
end

function createCurrentLevel(levelGrp)
	-- Back
	local tmp = levelGrp:CreateSprite("backImg")
	tmp:SetImage(levelData["back"])
	tmp:SetZpos(-1000)
	
	-- Sky
	setSkyTexture(levelData["backgroundSky"])

	-- Décors de base (11)
	createWall(levelGrp, Vector2D(31, 407 ), Vector2D(1033, 28 ))
	createWall(levelGrp, Vector2D(31, 26 ), Vector2D(28, 410 ))
	createWall(levelGrp, Vector2D(59, 280 ), Vector2D(86, 28 ))
	createWall(levelGrp, Vector2D(31, 26 ), Vector2D(73, 28 ))
	createWall(levelGrp, Vector2D(189, 26 ), Vector2D(355, 28 ))	
	createWall(levelGrp, Vector2D(629, 26 ), Vector2D(252, 28 ))		
	createWall(levelGrp, Vector2D(853, 26 ), Vector2D(28, 295 ))	
	createWall(levelGrp, Vector2D(783, 153 ), Vector2D(70, 28 ))	
	createWall(levelGrp, Vector2D(783, 280 ), Vector2D(70, 28 ))	
	createWall(levelGrp, Vector2D(881, 243 ), Vector2D(30, 28 ))
	createWall(levelGrp, Vector2D(998, 243 ), Vector2D(66, 28 ))	
	createWall(levelGrp, Vector2D(1036, 271 ), Vector2D(28, 136 ))	
	createWall(levelGrp, Vector2D(59, 153 ), Vector2D(35, 28 ))
	createWall(levelGrp, Vector2D(179, 153 ), Vector2D(42, 28 ))	
	createWall(levelGrp, Vector2D(59, 280 ), Vector2D(86, 28 ))
	createWall(levelGrp, Vector2D(399, 153 ), Vector2D(160, 28 ))
	createWall(levelGrp, Vector2D(359, 280 ), Vector2D(210, 28 ))
	createWall(levelGrp, Vector2D(440, 247 ), Vector2D(28, 71 ))
	createWall(levelGrp, Vector2D(440, 181 ), Vector2D(28, 33 ))
	createWall(levelGrp, Vector2D(440, 54 ), Vector2D(28, 9 ))
		--Murs pour bloquer bombe hors niveau
	createWall(levelGrp, Vector2D(0, -260 ), Vector2D(5, 708 ))
	createWall(levelGrp, Vector2D(1086, -260 ), Vector2D(5, 708 ))
	createWall(levelGrp, Vector2D(0, 443 ), Vector2D(1091, 5 ))
	createWall(levelGrp, Vector2D(0, -260 ), Vector2D(1090, 10 ))
	
	--Surfaces perméables perso (5)
	local ph = createWall(levelGrp, Vector2D(221, 153 ), Vector2D(178, 28 ))
	wallEnablePlayerPass(ph, true)
	local ph = createWall(levelGrp, Vector2D(560, 153 ), Vector2D(223, 28 ))
	wallEnablePlayerPass(ph, true)
	local ph = createWall(levelGrp, Vector2D(569, 280 ), Vector2D(214, 28 ))
	wallEnablePlayerPass(ph, true)
	local ph = createWall(levelGrp, Vector2D(441, 63 ), Vector2D(28, 90 ))
	wallEnablePlayerPass(ph, true)
	local ph = createWall(levelGrp, Vector2D(441, 318 ), Vector2D(28, 89 ))
	wallEnablePlayerPass(ph, true)
	
	--Surfaces perméables bombe (6)
	local ph = createWall(levelGrp, Vector2D(104, 26 ), Vector2D(85, 28 ))
	wallEnableBombePass(ph, true)
	local ph = createWall(levelGrp, Vector2D(544, 26 ), Vector2D(85, 28 ))
	wallEnableBombePass(ph, true)
	local ph = createWall(levelGrp, Vector2D(911, 243 ), Vector2D(87, 28 ))
	wallEnableBombePass(ph, true)
	local ph = createWall(levelGrp, Vector2D(94, 153 ), Vector2D(85, 28 ))
	wallEnableBombePass(ph, true)
	local ph = createWall(levelGrp, Vector2D(145, 280 ), Vector2D(214, 28 ))
	wallEnableBombePass(ph, true)
	local ph = createWall(levelGrp, Vector2D(440, 214 ), Vector2D(28, 33 ))
	wallEnableBombePass(ph, true)
	
	--Interrupteur, timer et porte
	local button  = createOnOffButton(levelGrp, Vector2D(200, 90), nil)
	local door = doorCreate(levelGrp, Vector2D(853, 321), Vector2D(28, 86))
	createDoorButton(door, button, false)
	
	--Timer et 1 surface amovible
	local timer2 = createTimerButton(levelGrp, Vector2D(106, 217), 10, nil)
	local area1 = createRemovableArea(levelGrp, Vector2D(882, 26), Vector2D(117, 28), levelData["removable2"], Vector2D(0, 0))
	removableAreaEnable(area1, true, false)
	createRemovableAreaButton({area1}, timer2, true)
	
	--Surface rebondissante
	local ph = createWall(levelGrp, Vector2D(190, 16), Vector2D(355, 10))
	wallEnableRebound(ph, true)
	local ph = createWall(levelGrp, Vector2D(630, 16), Vector2D(252, 10))
	wallEnableRebound(ph, true)
		
	--Messages
	createMessageZone(levelGrp, Vector2D(77, 389), Vector2D(60, 18), _("Level 6 - A look of deja vu"))

	--Checkpoint Zone
	createCheckpointZone(levelGrp, Vector2D(810, 181), Vector2D(16, 98))
	createCheckpointZone(levelGrp, Vector2D(110, 54), Vector2D(54, 99))
	
	--Fin de niveau
	createExitZone(levelGrp, Vector2D(884, 276), Vector2D(150, 130))
	
	-- Players
	local player1 = initPlayer(1, levelGrp, userCfg.keyConf.player1Keys, Vector2D(106, 406 - playerSize.y))
	playerSetMode(player1, "move")

	local player2 = initPlayer(2, levelGrp, userCfg.keyConf.player2Keys, Vector2D(76, 406 - playerSize.y))
	playerSetMode(player2, "throw")
end
