require("guiLib/guiLib")

-- Ns
soundMenuNs = soundMenuNs or {}
soundMenuNs.optionTbl = {}

-- Create screen
soundMenuNs.screen = CreateScreen("levelMenuScreen", ScreenConfig(screenSize))
soundMenuNs.screen:RegisterButtonEvent(function() myChangeScreen(menuOptionNs.screen, true, "slide2"); end, "Escape", true)

-- Back
local tmp = soundMenuNs.screen:CreateSprite("back", mainMenuBackTex, Vector2D(0, 0))
tmp:SetZpos(-1000)

------------------------------------------------------------
-- Create the option window
------------------------------------------------------------

btSize = texMenuBtNormal:GetSize()
btMargin = 15

-- Size
inSize = Vector2D(1480, 500)

controlHeight = btSize.y * 1.5
fontSize = 30
soundMenuNs.body = soundMenuNs.screen:CreateGroup("optionsWin")
soundMenuNs.body:SetPosition(Vector2D(60, 100))

local btSize = texMenuBtNormal:GetSize()
local keyBtSize = texMenuBtNormal:GetSize()

-- Add key



------------------------------------------------------------
-- Load / Save
------------------------------------------------------------
function soundMenuNs.setOptionFromTbl(tbl)	
	for i = 1, #soundMenuNs.optionTbl do	
		local subTbl = tbl
		for id, key in pairs(soundMenuNs.optionTbl[i].keyList) do
			subTbl = subTbl[key]
		end
			
		if soundMenuNs.optionTbl[i].optionType == "key" then
			keyChoiceCtrl.setKey(soundMenuNs.optionTbl[i].grp, subTbl)
		elseif soundMenuNs.optionTbl[i].optionType == "yesNo" then
			if subTbl == true then
				choiceControlChangeId(soundMenuNs.optionTbl[i].grp, 1)
			else
				choiceControlChangeId(soundMenuNs.optionTbl[i].grp, 2)
			end
		elseif soundMenuNs.optionTbl[i].optionType == "percent" then
			choiceControlChangeId(soundMenuNs.optionTbl[i].grp, math.floor(subTbl / 10) + 1)
		end
	end
end

function soundMenuNs.saveOptionToTbl()
	local tbl = {}
	for i = 1, #soundMenuNs.optionTbl do
		local currentOption = soundMenuNs.optionTbl[i]
	
		local subTbl = tbl
		for j = 1, (#currentOption.keyList - 1) do
			if type(subTbl[currentOption.keyList[j]]) ~= "table" then
				subTbl[currentOption.keyList[j]] = {}
			end
			subTbl = subTbl[currentOption.keyList[j]]
		end
	
		if soundMenuNs.optionTbl[i].optionType == "key" then
			subTbl[currentOption.keyList[#currentOption.keyList]] = keyChoiceCtrl.getKey(soundMenuNs.optionTbl[i].grp)
		elseif soundMenuNs.optionTbl[i].optionType == "yesNo" then
			subTbl[currentOption.keyList[#currentOption.keyList]] = (choiceControlGetCurrentId(soundMenuNs.optionTbl[i].grp) == 1)
		elseif soundMenuNs.optionTbl[i].optionType == "percent" then
			subTbl[currentOption.keyList[#currentOption.keyList]] = (choiceControlGetCurrentId(soundMenuNs.optionTbl[i].grp) - 1) * 10
		end
	end
	
	return tbl;
end

function soundMenuNs.addPercentOption(label, yPos, keyList)
	-- Ctrl
	local controlWidth = keyBtSize.x
	
	local grp = soundMenuNs.body:CreateGroup("choiceYesNoCtrl")
	choiceControlCreate(grp, controlWidth, 28, fontFixedsys)
	local strTbl = {}
	for i = 0, 10 do
		table.insert(strTbl, tostring(i * 10) .. "%")
	end
	choiceControlAddStringTbl(grp, strTbl)
	grp:SetPosition(Vector2D(inSize.x - controlWidth, yPos))
	
	-- Label
	local label = soundMenuNs.body:CreateText("label", label)
	label:SetSize(fontSize)
	label:SetFont(fontFixedsys)
	label:SetPosition(Vector2D(0, yPos + controlHeight / 2 - label:GetTextSize().y / 2))
	
	-- yPos
	yPos = yPos + keyBtSize.y + 7
	
	-- Add tbl
	table.insert(soundMenuNs.optionTbl, {optionType = "percent", grp = grp, keyList = keyList})
	
	-- yPos
	return yPos
end

function soundMenuNs.addTitle(label, yPos)
	yPos = yPos + 5 -- Margin top
	
	local tmp = soundMenuNs.body:CreateText("titleText", label, 30, Color(255, 255, 255), Vector2D(0, 0))
	tmp:SetMaxWidth(screenSize.x / 2)
	tmp:SetFont(fontFixedsys)
	tmp:SetUnderligned(true)
	
	local txtSize = tmp:GetTextSize()
	tmp:SetPosition(Vector2D((screenSize.x - txtSize.x) / 2, yPos))
	
	yPos = yPos + txtSize.y + 2 -- Margin bottom
	
	return yPos
end

	-- Fullscreen
local yPos = 0

yPos = soundMenuNs.addTitle(_("Music"), yPos)
yPos = soundMenuNs.addPercentOption(_("Volume of the musics"), yPos, {"musicVolume"})

yPos = soundMenuNs.addTitle(_("Sound"), yPos)
yPos = soundMenuNs.addPercentOption(_("Volume of the sounds"), yPos, {"soundVolume"})

soundMenuNs.setOptionFromTbl(userCfg.soundConf)

------------------------------------------------------------
-- Buttons
------------------------------------------------------------

-- Bts events
function soundMenuNs.onDefault()
	soundMenuNs.setOptionFromTbl(userCfg.GetDefaultSoundConf())
end

function soundMenuNs.onCancel()
	soundMenuNs.setOptionFromTbl(userCfg.soundConf)
end

function soundMenuNs.onApply()	
	userCfg.soundConf = userCfg.AddUnsetInTable(soundMenuNs.saveOptionToTbl(), userCfg.GetDefaultSoundConf())
	userCfg.SaveAllConf()
	musicSetVolume(userCfg.soundConf.musicVolume)
end

-- Buttons
local bt = soundMenuNs.screen:CreateGroup("btDefault")
buttonControlCreate(bt, _("Default"), btSize)
buttonSetEventFunction(bt, soundMenuNs.onDefault)
buttonSetFont(bt, 34, Color(255, 255, 255), fontFixedsys)
buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
buttonSetClickSound(bt, sndBtClick)
bt:SetPosition(screenSize - Vector2D(btSize.x * 4 + btMargin * 4, btSize.y + btMargin))

local bt = soundMenuNs.screen:CreateGroup("btCancel")
buttonControlCreate(bt, _("Cancel"), btSize)
buttonSetEventFunction(bt, soundMenuNs.onCancel)
buttonSetFont(bt, 34, Color(255, 255, 255), fontFixedsys)
buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
buttonSetClickSound(bt, sndBtClick)
bt:SetPosition(screenSize - Vector2D(btSize.x * 3 + btMargin * 3, btSize.y + btMargin))

local bt = soundMenuNs.screen:CreateGroup("btApply")
buttonControlCreate(bt, _("Apply"), btSize)
buttonSetEventFunction(bt, soundMenuNs.onApply)
buttonSetFont(bt, 34, Color(255, 255, 255), fontFixedsys)
buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
buttonSetClickSound(bt, sndBtClick)
bt:SetPosition(screenSize - Vector2D(btSize.x * 2 + btMargin * 2, btSize.y + btMargin))


local bt = soundMenuNs.screen:CreateGroup("btReturn")
buttonControlCreate(bt, _("Return"), btSize)
buttonSetEventFunction(bt, function() myChangeScreen(menuOptionNs.screen, true, "slide2"); end)
buttonSetFont(bt, 34, Color(255, 255, 255), fontFixedsys)
buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
bt:SetPosition(screenSize - Vector2D(btSize.x + btMargin, btSize.y + btMargin))

