------------------------------------------------------------
-- Load the textures
------------------------------------------------------------

function loadTexture(name)
	--[[local tex = Texture()
	tex:LoadFromFile("images/" .. name)
	return tex]]
	return Texture("images/" .. name)
end

-- Door
door1TexTbl = {}
door1TexTbl["closed"] = loadTexture("door1_closed.png")
door1TexTbl["opened"] = loadTexture("door1_opened.png")

-- Border
--viseurTex = loadTexture("viseur.png")

-- Ecriteau
msgBackTex = loadTexture("msg_back.png")

-- Bombe
bombeTex = loadTexture("bombe.png")

-- Player
playerAnimTbl = {}

playerAnimTbl[1] = {}
local gunterAnimTbl = playerAnimTbl[1]
gunterAnimTbl[1] = loadTexture("Gunter_bombe.png")
gunterAnimTbl[2] = loadTexture("Gunter_lancer1.png")
gunterAnimTbl[3] = loadTexture("Gunter_lancer2.png")
gunterAnimTbl[4] = loadTexture("Gunter_marche.png")
gunterAnimTbl[5] = loadTexture("Gunter_normal1.png")
gunterAnimTbl = nil

playerAnimTbl[2] = {}
local corneliaAnimTbl = playerAnimTbl[2]
corneliaAnimTbl[1] = loadTexture("Cornelia_bombe.png")
corneliaAnimTbl[2] = loadTexture("Cornelia_lancer1.png")
corneliaAnimTbl[3] = loadTexture("Cornelia_lancer2.png")
corneliaAnimTbl[4] = loadTexture("Cornelia_marche.png")
corneliaAnimTbl[5] = loadTexture("Cornelia_normal1.png")
corneliaAnimTbl = nil

-- Bt on / off
btOnTex = loadTexture("bt_on.png")
btOffTex = loadTexture("bt_off.png")

-- Bt timer
btTimerOff = loadTexture("bt_timer_off.png")

btTimerNbSteps = 13
btTimerStepTblTex = {}
for i = 1, btTimerNbSteps do
	table.insert(btTimerStepTblTex, loadTexture("bt_timer_step_" .. tostring(i) .. ".png"))
end

-- Exit
exitTex = loadTexture("exit.png")

-- Gui
-- Menu
texMenuBtNormal = loadTexture("gui/bt_normal.png")
texMenuBtOver = loadTexture("gui/bt_over.png")
texMenuBtPressed = loadTexture("gui/bt_pressed.png")

mainMenuBackTex = loadTexture("menu_back.jpg")

inLevelMenuBackTex = loadTexture("gui/inLevelMenu.png")

-- Level menu
mainMenuBackTex = loadTexture("menu_back.jpg")

-- Murs speciaux
antiBombeWallHTex = loadTexture("anti_bombe_h.png")
antiBombeWallVTex = loadTexture("anti_bombe_v.png")

antiPlayerWallHTex = loadTexture("anti_player_h.png")
antiPlayerWallVTex = loadTexture("anti_player_v.png")

-- Piques
hurtPiquesVTex = loadTexture("piques_v.png")
hurtPiquesHTex = loadTexture("piques_h.png")

-- level icons
levelToDoTex = loadTexture("levelToDo.png")
levelNoAccessTex = loadTexture("levelNoAccess.png")
levelDoneTex = loadTexture("levelDone.png")

-- Cursor sight
cursorSightTex = loadTexture("cursorSight.png")
cursorSightEndTex = loadTexture("cursorSightEnd.png")

-- Particle
texParticlePoint = loadTexture("particlePoint.png")
texParticleFlames = loadTexture("particleFlames.png")
texParticleSmoke = loadTexture("particleSmoke.png")

-- Chrono ctrl
texChronoCtrlBack = loadTexture("chronoCtrlBack.png")

------------------------------------------------------------
-- GuiLib
------------------------------------------------------------
-- Next previous arraws
arrowNextTex = loadTexture("guiLib/arrowNext.png")
arrowPreviousTex = loadTexture("guiLib/arrowPrevious.png")

------------------------------------------------------------
-- Load the sounds
------------------------------------------------------------
sndBtClick = Sound("sounds/button.ogg")
sndChoiceChange = sndBtClick

sndBombeBurst = Sound("sounds/bombe_burst.ogg")
sndBombeRebound = Sound("sounds/bombe_rebound.ogg")
sndDoorClose = Sound("sounds/door_close.ogg")
sndDoorOpen = Sound("sounds/door_open.ogg")
sndManDie = Sound("sounds/man_die.ogg")
sndPlayerJump = Sound("sounds/player_jump.ogg")
sndPlayerWin = Sound("sounds/player_win.ogg")
sndMenuSlide = Sound("sounds/menuSlide.ogg")
sndFadeTransition = Sound("sounds/fadeTransition.ogg")
sndCheckpoint = Sound("sounds/checkpoint.ogg")
sndRemovableWall = Sound("sounds/removableWall.ogg")
sndLevelNoAccess = Sound("sounds/levelNoAccess.ogg")
sndBombeCatch = Sound("sounds/bombeCatch.ogg")
sndBombeLaunch = Sound("sounds/bombeLaunch.ogg")
sndTimerBt = Sound("sounds/timerBt.ogg")

------------------------------------------------------------
-- Font
------------------------------------------------------------
fontFixedsys = Font("fonts/fixedsys500c.ttf")
