------------------------------------------------------------
-- Base
------------------------------------------------------------
screenSize = Vector2D(1600, 900)
separatorWidth = 8

version = "1.5.0"
lastLevel = "levelC.lua"
canUseVIP = true

------------------------------------------------------------
-- Zoom
------------------------------------------------------------
throwZoom = 0.75
moveZoom = 3
zoomAnimTime = 1
zoomBase = (throwZoom + moveZoom) / 2

decalSpeed = 200

------------------------------------------------------------
-- Physic grp
------------------------------------------------------------
-- grp
phGroupNone = 2
phGroupDesign = 3
phGroupPlayer = 4
phGroupBombe = 5
phGroupButton = 6

------------------------------------------------------------
-- Physic values
------------------------------------------------------------

-- Value
walkSpeedX = 150 -- [ px . s-1 ]
walkSpeedAcceleration = 2000 -- [ px . s-2 ]
jumpSpeed = 400 -- [ px . s-1 ]
friction = 7
gravity = 600 -- [ m . s-2 ]
onAirAcceleration = 200 -- [ m . s-2 ]
onAirMaxXSpeed = 200 -- [ m . s-1 ]
lethalMinSpeed = 700 -- [ m . s-1 ]


trajectoireTestTimeStep = 0.1; -- [s]

------------------------------------------------------------
-- Sight
------------------------------------------------------------
--bombeLunchSpeedMin = 10
bombeLunchSpeedMax = 500
bombeSightMaxDist = screenSize.x / 4 - 50


------------------------------------------------------------
-- Player
------------------------------------------------------------
playerSize = Vector2D(49, 84)
viseurCenterPos = Vector2D(playerSize.x / 2, playerSize.y * 1/3)
viseurRotationSpeed = 2

------------------------------------------------------------
-- Bombe
------------------------------------------------------------
bombeRadius = 5 -- [ px ]

------------------------------------------------------------
-- Music
------------------------------------------------------------
musicTransitionTime = 5

------------------------------------------------------------
-- Screen transition
------------------------------------------------------------
fadeTransitionTime = 1.5
slideTransitionTime = 0.5

------------------------------------------------------------
-- Challenge
------------------------------------------------------------
timeMalusRatioHurtZone = 20
timeMalusRatioCrash = 0.05
timeMalusBombeExplode = 7

goldRankRatio = 0.95 -- * base time
silverRankRatio = 1 -- * base time
bronzeRankRatio = 1.2 -- * base time
